Subject: Re: bug#39436: 27.0.60; Documentaion error for package-menu-hide-package

From: Pieter van Oostrum <[email-masked]>
Date: Sun, 09 Feb 2020 17:52:28 +0100

There is another strange thing in package.el. I wonder if it needs its own bug report or can be put under the current cover.

There are two menu entries for the operation revert-buffer (r), each with slightly different, and I would say not exactly consistent, descriptions.

    ["Refresh Package List" revert-buffer
     :help "Redownload the ELPA archive"
     :active (not package--downloads-in-progress)]
    ["Redisplay buffer" revert-buffer :help "Update the buffer with current list of packages"]

I guess one of them might be a legacy left-over.
Moreover, they should both have the (not package--downloads-in-progress) condition.
-- 
Pieter van Oostrum
www: http://pieter.vanoostrum.org/
PGP key: [8DAE142BE17999C4]